<?php

/*
Plugin Name: Proland Shortcodes
Plugin URI: http://themeforest.net/user/Ninetheme
Description: Shortcodes for Ninetheme WordPress Themes - proland Version
Version: 1.4.2
Author: Ninetheme
Author URI: http://themeforest.net/user/Ninetheme
*/

/*************************************************
## Word Limiter
*************************************************/
function proland_limit_words($string, $limit) {
	$words = explode(' ', $string);
	return implode(' ', array_slice($words, 0, $limit));
}

/*-----------------------------------------------------------------------------------*/
/*	PRODUCT PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_product_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'         => '',
		'tip'         		 => '1',
		'css'                => '',
		'bg_img'      		 => '',
		'resize'      		 => '0',
		'bg_img_w'      	 => '347',
		'bg_img_h'      	 => '499',
		'heading'          	 => '',
		'description'        => '',
		'item_id'         	 => '',
		'placement'        	 => '',
		'item_text'          => '',
		'product_item'       => '',
		'right_left'         => '',
		'top_bottom'         => '',
		'item_css_r_top'     => '',
		'item_css_r_left'    => '',
		'item_css_top'       => '',
		'item_css_left'      => '',
		'item_color'         => '',
		'desccolor'          => ''
    ), $atts) );

    $css_class 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 			= ($section_id != '') ? ' id="'. esc_attr($section_id) . '" ' : '';
	$product_item 	= (array) vc_param_group_parse_atts($product_item);

	$img_url 		= wp_get_attachment_url( $bg_img,'full' );
	$img   			= aq_resize( $img_url, $bg_img_w, $bg_img_h, true, true, true );

	wp_enqueue_style('tooltipster');
	wp_enqueue_script('tooltipster');
	wp_enqueue_script('custom-tooltipster');

	$out = '';
	// style options - you can add more css options like these
	$out .= '<style scoped>';
		if($desccolor!=''){ $out .= '#fullscreen-banner .desc {color: '. esc_attr($desccolor) . '; }';}
	$out .= '</style>';

	$out .= '<section class="row the-product '. esc_attr($css_class) . '" '.$id.'>';
       $out .= ' <div class="container">';
			//	 heading start
            $out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'</p>';
            $out .= '</div>';
			//	 heading end
            $out .= '<div class="row apple-watch-note-feature text-center">';

            if( $img !='' && $resize =='0' || $resize =='' ){
			$out .= '<img src="'. esc_url($img) . '" alt="'. get_the_title() .'">';
			}
			if( $img_url !='' && $resize =='1'){
			$out .= '<img src="'. esc_url($img_url) . '" alt="'. get_the_title() .'">';
			}
				// items
				foreach ( $product_item as $p ) {
					if ( $tip == '1'  OR $tip == '' ){
						$item_id_out 		= ($p['item_id'] 	!= '')    	? 'id="'. esc_attr($p['item_id']) . '"' : '';
						$right_left_out 	= ($p['right_left'] != '') 		? ''. $p['right_left'] .''   : '';
						$top_bottom_out 	= ($p['top_bottom'] != '') 		? ''. $p['top_bottom'] .''   : '';
						$item_css_top_out 	= ($p['item_css_top'] != '')    ? 'top:'. esc_attr($p['item_css_top']) . 'px !important;' : '';
						$item_css_top_r_out = ($p['item_css_r_top'] != '')  ? 'top:'. esc_attr($p['item_css_r_top']) . 'px !important;' : '';
						$item_css_left_out 	= ($p['item_css_left'] != '')   ? 'left:'. esc_attr($p['item_css_left']) . 'px !important;' : '';
						$item_css_left_r_out= ($p['item_css_r_left'] != '') ? 'left:'. esc_attr($p['item_css_r_left']) . 'px !important;' : '';

                  $out .= '<style>';
                     $out .= '#'. esc_attr($p['item_id']) . ' { '.$item_css_top_out.' '.$item_css_left_out.' }';
                     $out .= '@media (min-width: 767px) { #'. esc_attr($p['item_id']) . ' { '.$item_css_top_r_out.' '.$item_css_left_r_out.' } }';
                     $out .= '.feature-note .indicator .plus-icon .plus,
                     .feature-note .indicator .plus-icon:after,
                     .feature-note .feature-name:before,
                     .feature-note .feature-name:after { background : '. $p['item_color'] .'  !important ; }';
                     $out .= '.feature-note .indicator .plus-icon:before { border-color : '. $p['item_color'] .'  !important ; }';
                     $out .= '.feature-note { color : '. $p['item_color'] .'  !important ; }';

                  $out .= '</style>';

						$out .= '<div '.$item_id_out.' class="feature-note note-type-1 '. $right_left_out .' '. $top_bottom_out .' wow fadeInRight">';
							$out .= '<div class="indicator">';
								$out .= '<div class="plus-icon">';
									$out .= '<span class="plus">+</span>';
								$out .= '</div>';
							$out .= '</div>';
							$out .= '<div class="feature-name">';
								$out .= '<div class="feature-name-inner">';
									if ( isset( $p['item_text'] ) !='' ){ $out .= ''. $p['item_text'] .'';}
								$out .= '</div>';
							$out .= '</div>';
						$out .= '</div>';
					}
					if ( $tip == '2' ){
						$item_id_out 		= ($p['item_id'] 	!= '')    	? 'id="'. esc_attr($p['item_id']) . '"' : '';
						$right_left_out 	= ($p['right_left'] != '') 		? ''. $p['right_left'] .''   : '';
						$top_bottom_out 	= ($p['top_bottom'] != '') 		? ''. $p['top_bottom'] .''   : '';
						$placement_out 		= ($p['placement'] != '') 		? 'data-placement="'. $p['placement'] .'"'   : '';
						$t_title_out 		= ($p['item_text'] != '')		? 'title="'. $p['item_text'] .'"'   : '';
						$item_css_top_out 	= ($p['item_css_top'] != '')    ? 'top:'. esc_attr($p['item_css_top']) . 'px !important;' : '';
						$item_css_top_r_out = ($p['item_css_r_top'] != '')  ? 'top:'. esc_attr($p['item_css_r_top']) . 'px !important;' : '';
						$item_css_left_out 	= ($p['item_css_left'] != '')   ? 'left:'. esc_attr($p['item_css_left']) . 'px !important;' : '';
						$item_css_left_r_out= ($p['item_css_r_left'] != '') ? 'left:'. esc_attr($p['item_css_r_left']) . 'px !important;' : '';

						$out .= '<style>';
							$out .= '#'. esc_attr($p['item_id']) . ' { '.$item_css_top_out.' '.$item_css_left_out.' }';
							$out .= '#@media (min-width: 767px) { '. esc_attr($p['item_id']) . ' { '.$item_css_top_r_out.' '.$item_css_left_r_out.' } }';
							$out .= '.feature-note note-type-2 .indicator .plus-icon .plus,
							.feature-note .indicator .plus-icon:after,
							.feature-note .feature-name:before,
							.feature-note .feature-name:after { background : '. $p['item_color'] .'  !important ; }';
							$out .= '.feature-note .indicator .plus-icon:before { border-color : '. $p['item_color'] .'  !important ; }';
							$out .= '.feature-note { color : '. $p['item_color'] .'  !important ; }';

						$out .= '</style>';

						$out .= '<div '.$item_id_out.' class="feature-note tooltipitem '. $right_left_out .' '. $top_bottom_out .' wow fadeInRight">';

							$out .= '<a href="#0" class="tooltipitemlink" data-container="body" data-animation="animated bounceIn" '. $placement_out .' '. $t_title_out .'  data-toggle="tooltip">';
								$out .= '<div class="indicator">';
								$out .= '<div class="plus-icon">';
									$out .= '<span class="plus">+</span>';
								$out .= '</div>';
								$out .= '</div>';
							$out .= '</a>';

						$out .= '</div>';
					}
				}
				// items end
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';

	return $out;
}
add_shortcode('proland_product', 'proland_product_vc');

/*-----------------------------------------------------------------------------------*/
/*	HOW IT PROLAND
/*-----------------------------------------------------------------------------------*/
function proland_how_it_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'howitems'    			=> '',
		'resize'      		 	=> '0',
		'item_img'    			=> '',
		'column_offset'       	=> '0',
		'column'       			=> '4',
		'item_delay'            => '',
		'item_heading'          => '',
		'item_desc'             => '',
		'headingcolor'         	=> '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$how_items 	= (array) vc_param_group_parse_atts($howitems);
    $css_class 	= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 		= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<style>';
		if(	$headingcolor!=''){ $out .= '.how-it-works h2{color: '. esc_attr($headingcolor) . '; }';}
		if( $itemheadingcolor !='' ){ $out .= '.work-process h3 {color: '. esc_attr($itemheadingcolor) . '; }';}
		if( $itemdesccolor !='' ){ $out .= '.work-process p {color: '. esc_attr($itemdesccolor) . '; }';}
	$out .= '</style>';

	$out .= '<section '. $id .' class="row how-it-works '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'</p>';
            $out .= '</div>';

            $out .= '<div class="row work-processes">';

				// item start
				foreach ( $how_items as $v ) {

					$delay 			= ($v['item_delay'] != '') ? 'data-wow-delay="'. $v['item_delay'] .'s"' : '';

					$item_column 	= ($v['column'] != '') ? 'col-sm-'. $v['column'] .'' : 'col-sm-4';

					$out .= '<div class="'.$item_column.' work-process wow fadeIn" '.$delay.'>';
						$out .= '<div class="row m0 process-icon">';

							$img_url = wp_get_attachment_url( $v['item_img'],'full' );
							$image   = aq_resize( $img_url, 106, 106, true, true, true );

							if ( isset( $v['item_img'] ) !='' && isset( $v['resize'] ) =='0' || isset( $v['resize'] ) =='' ){
							 $out .= '<img alt="'. get_the_title() .'" src="'. esc_url($image) . '">';
							}
							if ( isset( $v['item_img'] ) !='' && isset( $v['resize'] ) =='1' ){
							 $out .= '<img alt="'. get_the_title() .'" src="'. esc_url($img_url) . '">';
							}

						$out .= '</div>';

						if ( isset( $v['item_heading'] ) !='' ){$out .= '<h3>'.$v['item_heading'].'</h3>'; }
						if ( isset( $v['item_desc'] ) !='' ){$out .= '<p>'.$v['item_desc'].'</p>'; }
					$out .= '</div>';

			   }
			   // item end

           	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_how_it', 'proland_how_it_vc');

/*-----------------------------------------------------------------------------------*/
/*	PRODUCTS PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_product_list_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'woo_orderby'         	=> 'date',
		'woo_order'           	=> 'DESC',
		'woo_posts'     		=> '4',
		'orderby'         		=> 'date',
		'order'           		=> 'ASC',
		'posts'     			=> '4',
		'link'            		=> '',
		'btn_type'            	=> 'url',
		'resize'            	=> '0',
		'item_img'            	=> '',
		'features_item'    		=> '',
		'item_heading'          => '',
		'item_desc'             => '',
		'item_price'            => '',
		'column_offset'         => '',
		'item_delay'            => '',
		'type'            		=> '',
		'left_heading'          => '',
		'left_desc'          	=> '',
		'headingcolor'         	=> '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$featuresitem 	= (array) vc_param_group_parse_atts($features_item);
    $css_class 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 			= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<style>';
		if( $headingcolor !='' )		{ $out .= '.the-benefits .section-header h2{color: '. esc_attr($headingcolor) . '; }'; }
		if( $itemheadingcolor !='' ){ $out .= '.the-benefits .benefit h3 {color: '. esc_attr($itemheadingcolor) . '; }'; }
		if( $itemdesccolor !='' )	{ $out .= '.the-benefits .benefit p {color: '. esc_attr($itemdesccolor) . '; }'; }
	$out .= '</style>';

	$out .= '<section '. $id .' class="row our-collection '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'</p>';
            $out .= '</div>';

            $out .= '<div class="row collections">';
				// default items start
				if( $type =='0' || $type =='default' ) {

					global $post;
					$product_args = array(
						'post_type' 		=> 'products',
						'posts_per_page' 	=> $posts,
						'order' 			=> $order,
						'orderby' 			=> $orderby,
						'post_status' 		=> 'publish'
					);

					query_posts( $product_args );

					$proland_count = 0;
					$proland_product_query = new WP_Query($product_args);
					if( $proland_product_query->have_posts() ) :
					while ($proland_product_query->have_posts()) : $proland_product_query->the_post();
					$proland_count++;

					$proland_product_small_btn_link		= 	rwmb_meta( 'proland_product_small_btn_link' );
					$proland_product_small_btn_title	= 	rwmb_meta( 'proland_product_small_btn_title');
					$proland_product_column_number		= 	rwmb_meta( 'proland_product_column_number' );
					$proland_product_delay				= 	rwmb_meta( 'proland_product_delay' );
					$proland_product_offset				= 	rwmb_meta( 'proland_product_offset' );
					$proland_product_items				= 	rwmb_meta( 'proland_product_images' );
					$proland_product_name				= 	rwmb_meta( 'proland_product_name');
					$proland_product_label				= 	rwmb_meta( 'proland_product_label');
					$proland_product_currency			= 	rwmb_meta( 'proland_product_currency');
					$proland_product_price				= 	rwmb_meta( 'proland_product_price');
					$column_number 						= ( $proland_product_column_number != '' ) ? ''. esc_attr( $proland_product_column_number ) . '' : '3';
					$delay 								= ( $proland_product_delay != '' ) ?  'data-wow-delay="'. esc_attr( $proland_product_delay ) . '"' : '';
					$offset 							= ( $proland_product_offset != '' ) ? 'col-md-offset-'. esc_attr( $proland_product_offset ) . '' : '';

					$out .= '<div class="col-sm-6 col-md-'. $column_number .' item wow fadeIn '. $offset .'" '. $delay .'>';
						$out .= '<div class="row m0 featured-img">';

							$thumb 		= get_post_thumbnail_id();
							$img_url 	= wp_get_attachment_url( $thumb,'full' );
							$image   	= aq_resize( $img_url, 213, 213, true, true, true );


							if( $image !='' && $resize =='0'  || $resize =='' ){
							$out .= '<img class="product-gallery-image-single"  src="'. esc_url($image) . '" alt="'. get_the_title() .'" />';
							}
							if( $img_url !='' && $resize =='1'){
							$out .= '<img class="product-gallery-image-single"  src="'. esc_url($img_url) . '" alt="'. get_the_title() .'" />';
							}

						$out .= '</div>';

						if ( $proland_product_name){ $out .= '<h4 class="title">'. $proland_product_name . '</h4>'; }
						if ( $proland_product_label){ $out .= '<h5 class="category">'. $proland_product_label . '</h5>'; }
						if ( $proland_product_price){ $out .= '<h4 class="price">'. $proland_product_currency . ''. $proland_product_price . '</h4>'; }
						if ( $proland_product_small_btn_title){ $out .= '<a href="'. $proland_product_small_btn_link .'" class="btn">'. $proland_product_small_btn_title .'</a>'; }

					$out .= '</div>';

					endwhile;
					endif;

				}
				// default items end

				// Woo start
				if( function_exists( 'WC' ) ) {
				if( $type =='woo' ) {
					$woo_meta_query = WC()->query->get_meta_query();
					$woo_args = array(
						'post_type'				=> 'product',
						'post_status'			=> 'publish',
						'ignore_sticky_posts'	=> 1,
						'posts_per_page' 		=> $woo_posts,
						'orderby' 				=> $woo_orderby,
						'order' 				=> $woo_order,
						'meta_query' 			=> $woo_meta_query
					);

					ob_start();
					$woo_products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $woo_args, $atts ) );
					if ( $woo_products->have_posts() ) :
					while ( $woo_products->have_posts() ) : $woo_products->the_post();
					global $product;
						// partials
						$p_id 			= $product->get_id();
						$add_to_url 	= $product->add_to_cart_url();
						$add_to_text 	= $product->add_to_cart_text();
						$image 			= $product->get_image('shop_catalog');
						$stock 			= $product->is_in_stock();
						$sale 			= $product->is_on_sale();
						$regular 		= $product->get_price_html();
						$p_title 		= $product->get_title();
						$rating 		= $product->get_average_rating();
						$size 			= wc_get_image_size( 'shop_catalog' );
						$placeh_width 	= $size['width'];

						$out .= '<div class="col-sm-6 col-md-3 item wow fadeIn" data-wow-delay="0.5s" id="'. $p_id .'">';
							$out .= '<div class="row m0 featured-img">';

							if (  $btn_type == 'url' ||  $btn_type == '' )  {
								$out .= '<a  href="'. $add_to_url .'">';
							} else {
								$out .= '<a href="'. esc_url( get_permalink( $product->id ) ) . '">';
							}

								$out .= ''. $image .'';

							if (  $btn_type == 'url' ||  $btn_type == '' )  {
								$out .= '</a>';
							}

							$out .= '</div>';
							$out .= '<h4 class="title">'. $p_title .'</h4>';
							$out .= '<h5 class="category">'. apply_filters( 'woocommerce_short_description', $post->post_excerpt ) .'</h5>';
							$out .= '<h4 class="price">'. $regular .'</h4>';

							if (  $btn_type == 'url' ||  $btn_type == '' )  {
							$out .= '<a href="'. $add_to_url .'" class="btn">'. $add_to_text .'</a>';
							} else {
							$out .= ''. do_shortcode( '[add_to_cart id=' . $p_id . ']' ) .'';
							}

						$out .= '</div><!-- end Product item /- -->';

					endwhile;
					endif;
					ob_get_clean();
					wp_reset_postdata();
				}
				}
          	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

	// product grid items end

	// product popups start
	if( $type =='0' || $type =='default' ) {

	$proland_count = 0;
	$proland_product_query = new WP_Query($product_args);
	if( $proland_product_query->have_posts() ) :
	while ($proland_product_query->have_posts()) : $proland_product_query->the_post();
	$proland_count++;

	$proland_product_small_btn_link	= 	rwmb_meta( 'proland_product_small_btn_link' );
	$proland_product_delay			= 	rwmb_meta( 'proland_product_delay' );
	$proland_product_offset			= 	rwmb_meta( 'proland_product_offset' );
	$proland_product_items			= 	rwmb_meta( 'proland_product_images' );
	$proland_product_name			= 	rwmb_meta( 'proland_product_name');
	$proland_product_description	= 	rwmb_meta( 'proland_product_description');
	$proland_product_label			= 	rwmb_meta( 'proland_product_label');
	$proland_product_model			= 	rwmb_meta( 'proland_product_model');
	$proland_product_price_label	= 	rwmb_meta( 'proland_product_price_label');
	$proland_product_currency		= 	rwmb_meta( 'proland_product_currency');
	$proland_product_sale			= 	rwmb_meta( 'proland_product_sale');
	$proland_product_price			= 	rwmb_meta( 'proland_product_price');
	$proland_product_sizes			= 	rwmb_meta( 'proland_product_sizes');
	$proland_product_sizes_desc		= 	rwmb_meta( 'proland_product_sizes_desc');
	$proland_product_colors			= 	rwmb_meta( 'proland_product_colors');
	$proland_product_color_item_id	= 	rwmb_meta( 'proland_product_color_item_id');
	$proland_product_btn_link		= 	rwmb_meta( 'proland_product_btn_link');
	$proland_product_btn_title		= 	rwmb_meta( 'proland_product_btn_title');
	$proland_product_shortcode		= 	rwmb_meta( 'proland_product_shortcode');
	$proland_product_color_heading	= 	rwmb_meta( 'proland_product_color_heading');
	$proland_product_left_heading	= 	rwmb_meta( 'proland_product_left_heading');
	$proland_product_left_desc		= 	rwmb_meta( 'proland_product_left_desc');
	$proland_product_size_heading	= 	rwmb_meta( 'proland_product_size_heading');
	$proland_product_size_desc		= 	rwmb_meta( 'proland_product_size_desc');


	$out .= '<div class="row product-box mfp-hide" id="'. ltrim($proland_product_small_btn_link,"#") . '">';
		$out .= '<button class="mfp-close custom_close" title="Close (Esc)" type="button">&#215;</button>';
		$out .= '<div class="product-img-gallery">';
			$out .= '<div id="product-imgs" class="carousel slide" data-ride="carousel">';

			$out .= ' <!-- Indicators -->';
				$out .= '<ol class="carousel-indicators">';

					$count_gallery_dot = -1;
					foreach ($proland_product_items as $image) {
					$count_gallery_dot++;
					$proland_count_class = ($count_gallery_dot ==0) ? 'active' : '';
					$out .= '<li data-target="#product-imgs" data-slide-to="'. $count_gallery_dot .'" class="'. $proland_count_class .'"></li>';
					}
				$out .= '</ol>';

				$out .= '<div class="carousel-inner" role="listbox">';

					$count_gallery = 0;
					foreach ($proland_product_items as $image) {

						$count_gallery++;
						$proland_count_class = ($count_gallery == 1) ? 'active' : '';

						$img_url =  $image['full_url'];
						$image   = aq_resize( $img_url, 291, 524, true, true, true );

						if( $image !='' && $resize =='0' || $resize =='' ){
						$out .= '<div class="item '. $proland_count_class .'"><img class="product-gallery-image" src="'. esc_url($image) . '" /></div>';
						}
						if( $img_url !='' && $resize =='1'){
						$out .= '<div class="item '. $proland_count_class .'"><img class="product-gallery-image" src="'. esc_url($img_url) . '" /></div>';
						}
					}

				$out .= '</div>';
			$out .= '</div>';
		$out .= '</div>';
		$out .= '<div class="product-desc">';

		$out .= '<div class="choose-form row m0">';
			$out .= '<div id="js-product-info-'. $proland_count .'" class="product-info">';

				if( $proland_product_label	!='' ){	$out .= '<h4 class="name">'. $proland_product_label . '</h4>';   }
				if( $proland_product_name	!='' ){	$out .= '<h2 class="edition">'. $proland_product_name . '</h2>';   }
				if( $proland_product_model	!='' ){	$out .= '<h5 class="model">'. $proland_product_model . '</h5>';  }
				$out .= '<h2 class="price">';
				if( $proland_product_sale	!='' ){	$out .= '<del>'. $proland_product_currency . ''. $proland_product_sale . '</del>'; }
				if( $proland_product_price	!='' ){$out .= ''. $proland_product_currency . ''. $proland_product_price . ''; }
				$out .= ' <span class="label label-default">'. $proland_product_price_label . '</span>';
					$out .= '</h2>';
				if( $proland_product_description	!='' ){
				$out .= '<div class="row m0 description">';
						$out .= '<p>'. $proland_product_description . '</p>';
				$out .= '</div>';
				}

				$out .= '<div class="choose-options row m0" id="js-choose-color">';
					$out .= '<div class="option">';
						$out .= '<h4 class="form-label">'. $proland_product_color_heading . '</h4>';
						$out .= '<div class="row m0 colors">';
							if( ( $proland_product_color_item_id && $proland_product_colors ) !='' ){
								foreach (array_combine($proland_product_color_item_id, $proland_product_colors) as $id => $color) {

									$out .= '<style>';
										$out .= '#'. $id . '{background : '. $color . ';}';
										$out .= '.product-desc .choose-form .option input[name="color"] + label[for="'. $id . '"],
										.product-desc .choose-form .option input[name="os0"] + label[for="'. $id . '"]
										{ background : '. $color . ';}

										.product-desc .choose-form .option input[name="color"] + label[for="'. $id . '"]:before,
										.product-desc .choose-form .option input[name="os0"] + label[for="'. $id . '"]:before
										{ border-color : '. $color . ';}';
									$out .= '</style>';

									$out .= '<input type="radio" name="color" value="'. $id . '" id="'. $id . '" checked>';
									$out .= '<label for="'. $id . '"></label>';

								}
							}

					$out .= ' </div>';
					$out .= '</div>';

					$out .= '<div class="option">';
						$out .= '<h4 class="form-label">'. $proland_product_left_heading . '</h4>';
						$out .= '<p>'. $proland_product_left_desc . '</p>';
					$out .= '</div>';

					$out .= '<div class="option">';
						$out .= '<h4 class="form-label">'. $proland_product_size_heading . '</h4>';
						$out .= '<p>'. $proland_product_size_desc . '</p>';
						/* foreach for size qty
						$out .= '<select class="selectpicker">';

						$count_size = 0;
						if ( $proland_product_sizes ) {
							foreach ($proland_product_sizes as $size_item) {
								$count_size++;
								$proland_count_class = ($count_size == 1) ? 'selected' : '';
								$out .= '<option value="m" '. $proland_count_class .'>'. $size_item .'</option>';
							}
						}

						$out .= '</select>';
						*/
					$out .= '</div>';
				$out .= '</div>';

				$out .= '<div class="submit-area row m0">';
					$next_button = ($proland_product_btn_link == '') ? 'javascript:void(0);' : ''. $proland_product_btn_link .'';
					$next_button_id = ($proland_product_btn_link == '') ? 'id="next-personal-'. $proland_count .'"' : '';
					$out .= '<a href="'. $next_button . '" class="btn btn-rounded btn-block" '. $next_button_id . '>'. $proland_product_btn_title . '</a>';
				$out .= '</div>';

			$out .= '</div>';
			$out .= ' <!-- // End Product Info -->';

				$out .= ' <div class="personal-info" id="js-personal-info-'. $proland_count .'">';
					$out .= ' <div class="form-group text-center"><a href="javascript:void(0);" class="btn" id="prev-product-info-'. $proland_count .'">Go Back</a></div>';
					// form shortcode
					$out .= ''.do_shortcode($proland_product_shortcode).'';

				$out .= '</div>';
				// end form area
			$out .= '</div>';

		$out .= '</div>';
	$out .= '</div>';

	wp_enqueue_script('proland-product-js');

	endwhile;
	endif;

	} // popup end

	return $out;
}
add_shortcode('proland_product_list', 'proland_product_list_vc');

/*-----------------------------------------------------------------------------------*/
/*	BENEFITS PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_features_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'icon_name'            	=> '',
		'features_item'    		=> '',
		'item_heading'          => '',
		'column_offset'         => '0',
		'column'          		=> '4',
		'item_desc'             => '',
		'headingcolor'         	=> '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$featuresitem 	= (array) vc_param_group_parse_atts($features_item);
    $css_class 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 			= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<style>';
		if( $headingcolor !='' )		{ $out .= '.the-benefits .section-header h2{color: '. esc_attr($headingcolor) . '; }'; }
		if( $itemheadingcolor !='' ){ $out .= '.the-benefits .benefit h3 {color: '. esc_attr($itemheadingcolor) . '; }'; }
		if( $itemdesccolor !='' )	{ $out .= '.the-benefits .benefit p {color: '. esc_attr($itemdesccolor) . '; }'; }
	$out .= '</style>';

	$out .= '<section '. $id .' class="row the-benefits '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'</p>';
            $out .= '</div>';

            $out .= '<div class="row benefit-notes">';

			// item start
				foreach ( $featuresitem as $v ) {

					$delay 			= ($v['item_delay'] != '') ? 'data-wow-delay="'. $v['item_delay'] .'s"' : '';

					$item_column 	= ($v['column'] != '') ? 'col-md-'. $v['column'] .'' : 'col-md-4';

					$out .= '<div class="'.$item_column.' col-sm-6 benefit wow fadeInUp" '.$delay.'>';
						$out .= '<div class="media">';
							$out .= '<div class="media-left">';
								if ( isset( $v['icon_name'] ) !='' ){ $out .= '<span><i class="'.$v['icon_name'].'"></i></span>';}
							$out .= '</div>';
							$out .= '<div class="media-body">';
								if ( isset( $v['item_heading'] ) !='' ){$out .= '<h4>'.$v['item_heading'].'</h4>'; }
								if ( isset( $v['item_desc'] ) !='' ){$out .= '<p>'.$v['item_desc'].'</p>'; }
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</div>';
				}
				// item end

           	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

	return $out;
}
add_shortcode('proland_features', 'proland_features_vc');



/*-----------------------------------------------------------------------------------*/
/*	FEATURES TWO PROLAND
/*-----------------------------------------------------------------------------------*/
function proland_features_two_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           		=> '',
		'css'                  		=> '',
		'center_img'                => '',
		'features_two_left_item'    => '',
		'icon_left_name'            => '',
		'item_left_heading'         => '',
		'item_left_desc'            => '',
		'item_left_delay'           => '',
		'features_two_right_item'   => '',
		'icon_right_name'           => '',
		'item_right_heading'        => '',
		'item_right_desc'           => '',
		'item_right_delay'          => ''
    ), $atts) );

	$features_two_right_item 	= (array) vc_param_group_parse_atts($features_two_right_item);
	$features_two_left_item 	= (array) vc_param_group_parse_atts($features_two_left_item);
    $css_class 					= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 						= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<section '. $id .'  class="row left-right-contents '. esc_attr($css_class) . '">';
        $out .= '<div class="container">';
            $out .= '<div class="row ">';

                $out .= '<div class="col-sm-12 col-md-4 col-md-push-4 text-center wow fadeIn">';
				$f_img = wp_get_attachment_url( $center_img, 'full' );

                    $out .= '<img src="'. esc_url( $f_img ) . '" alt="">';
               $out .= ' </div>';

                $out .= '<div class="col-md-4 col-sm-6 col-md-pull-4 left-content">';
					// item start
					foreach ( $features_two_left_item as $v ) {
						$delay_left = (isset($v['item_left_delay']) != '') ? 'data-wow-delay="'. isset($v['item_left_delay']) .'s"' : '';
						$out .= '<div class="media wow fadeInUp" '.$delay_left.'>';
							$out .= '<div class="media-left">';
								if ( isset( $v['icon_left_name'] ) !='' ){ $out .= '<span><i class="'.$v['icon_left_name'].'"></i></span>';}
							$out .= '</div>';
							$out .= '<div class="media-body">';
								if ( isset( $v['item_left_heading'] ) !='' ){$out .= '<h4>'.$v['item_left_heading'].'</h4>'; }
								if ( isset( $v['item_left_desc'] ) !='' ){$out .= '<p>'.$v['item_left_desc'].'</p>'; }
							$out .= '</div>';
						$out .= '</div>';
					}
                   // item end
                $out .= '</div>';

                $out .= '<div class="col-md-4 col-sm-6 right-content">';
					// item start
					foreach ( $features_two_right_item as $v ) {
						$delay_right = (isset($v['item_right_delay']) != '') ? 'data-wow-delay="'. isset($v['item_right_delay']) .'s"' : '';
						$out .= '<div class="media wow fadeInUp" '.$delay_right.'>';
							$out .= '<div class="media-left">';
								if ( isset( $v['icon_right_name'] ) !='' ){ $out .= '<span><i class="'.$v['icon_right_name'].'"></i></span>';}
							$out .= '</div>';
							$out .= '<div class="media-body">';
								if ( isset( $v['item_right_heading'] ) !='' ){$out .= '<h4>'.$v['item_right_heading'].'</h4>'; }
								if ( isset( $v['item_right_desc'] ) !='' ){$out .= '<p>'.$v['item_right_desc'].'</p>'; }
							$out .= '</div>';
						$out .= '</div>';
					}
					// item end

                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';

	return $out;
}
add_shortcode('proland_features_two', 'proland_features_two_vc');


/*-----------------------------------------------------------------------------------*/
/*	THE WATCH PROLAND
/*-----------------------------------------------------------------------------------*/


function proland_the_watch_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'        => '',
		'css'               => '',
		'heading'           => '',
		'description'       => '',
		'bg_img'            => '',
		'watch_items'       => '',
		'item_delay'      	=> '',
		'item_heading'    	=> ''
    ), $atts) );

    $css_class 	= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 		= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$t_w_img 	= wp_get_attachment_url( $bg_img, 'full' );
	$watch_item = (array) vc_param_group_parse_atts($watch_items);

	$out = '';
	$out .= '<section '. $id .' class="row the-watch '. esc_attr($css_class) . '">';
        $out .= '<div class="container">';
            $out .= '<div class="row">';
               $out .= ' <div class="col-md-5 col-md-offset-1 text-center the-watch-img wow zoomIn">';
                   $out .= '<img src="'. esc_url($t_w_img) . '" alt="'. get_the_title() . '" class="img-responsive">';
                $out .= '</div>';
                $out .= '<div class="col-md-6 the-watch-features">';
                    $out .= '<div class="row section-header v3 wow fadeIn">';
                        $out .= '<h2>'. $heading .'</h2>';
                        $out .= '<p>'.do_shortcode($content).'</p>';
                    $out .= '</div>';
                    $out .= '<ul class="nav">';
					foreach ( $watch_item as $v ) {
						$delay = ($v['item_delay'] != '') ? 'data-wow-delay="'. $v['item_delay'] .'s"' : '';
						$out .= '<div class="media wow fadeInUp '.$delay.'">';
                        if ( isset($v['item_heading'])){ $out .= '<li class="wow fadeIn" data-wow-delay="0.2s">'.$v['item_heading'].'</li>'; }
					}
                   $out .= ' </ul>';
                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';

 return $out;
}
add_shortcode('proland_the_watch', 'proland_the_watch_vc');



/*-----------------------------------------------------------------------------------*/
/*	SPLIT PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_split_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'        => '',
		'css'               => '',
		'split_items'       => '',
		'item_image'        => '',
		'item_heading'     	=> '',
		'item_position'     => ''
    ), $atts) );

    $css_class 	= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 		= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$split 		= (array) vc_param_group_parse_atts($split_items);

	$out = '';
	$out .= '<section '. $id .' class="row split-columns '. esc_attr($css_class) . '">';

	foreach ( $split as $v ) {
		if( $v['item_position'] =='left' ){
				$img_url = wp_get_attachment_url( $v['item_image'],'full' );
				$out .= '<div class="row m0 split-column wow fadeIn">';
					$out .= '<div class="col-sm-6 image text-right">';
						$out .= '<img src="'. $img_url .'" alt="'. get_the_title() .'">';
					$out .= '</div>';
					$out .= '<div class="col-sm-6 texts">';
						$out .= '<div class="texts-inner row m0">';
							if ( isset($v['item_heading'])){ 	$out .= '<h2>'. $v['item_heading'] .'</h2>';  }
							if ( isset($v['item_desc'])){	$out .= '<p>'. $v['item_desc'] .'</p>'; }
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';
			}

			if( $v['item_position'] =='right' ){
				$img_url = wp_get_attachment_url( $v['item_image'],'full' );
				$out .= '<div class="row m0 split-column wow fadeIn">';
					$out .= '<div class="col-sm-6 col-sm-push-6 image">';
						$out .= '<img src="'. $img_url .'" alt="'. get_the_title() .'">';
					$out .= '</div>';
					$out .= '<div class="col-sm-6 col-sm-pull-6 texts">';
						$out .= '<div class="texts-inner row m0">';
							if ( isset($v['item_heading'])){ 	$out .= '<h2>'. $v['item_heading'] .'</h2>';  }
							if ( isset($v['item_desc'])){	$out .= '<p>'. $v['item_desc'] .'</p>'; }
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';
			}
		}
    $out .= '</section>';

 return $out;
}
add_shortcode('proland_split', 'proland_split_vc');


/*-----------------------------------------------------------------------------------*/
/*	BENEFITS PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_review_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',

		'review_items'    		=> '',
		'item_desc'             => '',
		'item_image'            => '',
		'item_delay'            => '',
		'column_offset'         => '0',
		'column'         		=> '4',

		'headingcolor'         	=> '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$review_item = (array) vc_param_group_parse_atts($review_items);
    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<style>';
		if( $headingcolor !='' )	{ $out .= '.reviews .section-header h2{color: '. esc_attr($headingcolor) . '; }'; }
		if( $itemdesccolor !='' )	{ $out .= '.reviews .review p {color: '. esc_attr($itemdesccolor) . '; }'; }
	$out .= '</style>';

	$out .= '<section '. $id .' class="row reviews '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'</p>';
            $out .= '</div>';

            $out .= '<div class="row">';

				// item start
				foreach ( $review_item as $v ) {

					$delay 			= ($v['item_delay'] != '') ? 'data-wow-delay="'. $v['item_delay'] .'s"' : '';

					$item_column 	= ($v['column'] != '') ? 'col-sm-'. $v['column'] .'' : 'col-sm-4';
					$img_url 		= wp_get_attachment_url( $v['item_image'],'full' );

					$out .= '<div class="review '.$item_column.' wow fadeIn" '.$delay.'>';
						$out .= '<img src="'. get_template_directory_uri() . '/images/quote.png" alt="quote" class="review-sign">';
						if ( isset( $v['item_desc'] ) !='' ){$out .= '<p>'.$v['item_desc'].'</p>'; }
						$out .= '<img src="'. $img_url .'" alt="'. get_the_title() .'" class="reviewer">';
					$out .= '</div>';

				}
				// item end

           	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

	return $out;
}
add_shortcode('proland_review', 'proland_review_vc');

/*-----------------------------------------------------------------------------------*/
/*	HOW TO WORK
/*-----------------------------------------------------------------------------------*/

function proland_vc_theme_how_we_work_two( $atts, $content = null ) {
    extract( shortcode_atts(array(
    'section_id'      	=> '',
	'css'             	=> '',
	'heading'         	=> '',
	'i_heading'         => '',
	'i_description'     => '',
	'icon_name'         => '',
	'how_items'         => '',
	'headingcolor'    	=> ''
    ), $atts) );

    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$how_items = (array) vc_param_group_parse_atts( $how_items );

	$out = '';
	$out .= '<style>';
		if($headingcolor!=''){ $out .= '.section-title h2{color: '. esc_attr($headingcolor) . '; }';}
	$out .= '</style>';

	$out .= '<section id="'.$id.'" class="how-we-work-area section-padding '. esc_attr($css_class) . '">';
			$out .= '<div class="container">';

			if( $heading !='' ){
				$out .= '<div class="row">';
					$out .= '<div class="col-xs-12">';
						$out .= '<div class="section-title">';
							$out .= '<h2>'. $heading . '</h2>';
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div> <!-- /.end section-title row -->';
			}
				$out .= '<div class="row">';

					$out .= ' <div class="col-sm-10 col-sm-offset-1 col-xs-12">';
						 $out .= '<div class="how-we-work clearfix">';
							foreach ( $teamsocial as $v ) {
								$out .= '<div class="single-work-item">';
									 $out .= '<div class="single-work-details">';
										 $out .= '<div class="icon">';
											if ( isset( $v['icon_name'] ) !='' ){	$out .= '<span class="'.$v['icon_name'].'"></span>';}
										 $out .= '</div>';
										 $out .= '<h4>'.$v['i_heading'].'</h4>';
										$out .= ' <p>'.$v['i_description'].'</p>';
									 $out .= '</div>';
								$out .= '</div>';
							}
					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</div>';
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_how_we_work_two', 'proland_vc_theme_how_we_work_two');


/*-----------------------------------------------------------------------------------*/
/*	SPONSOR PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_sponsor_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
	'css'       			=> '',
	'section_id'       		=> '',
	'heading'       		=> '',
	'resize'            	=> '0',
	'link'       			=> '',
	'spon_img'       		=> '',
	'i_width'       		=> '177',
	'i_height'       		=> '17',
	'testi'           		=> ''
    ), $atts) );

	$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$testi_items = (array) vc_param_group_parse_atts( $testi );

	$out = '';
	$out .= ' <section '. $id . ' class="row  featured-on '. esc_attr($css_class) . '">';
	$out .= '<div class="container">';
		$out .= '<div class="row">';
			$out .= '<h3>'. $heading . '</h3>';

				$out .= '<ul class="nav nav-justified">';
					foreach ( $testi_items as $v ) {

						$img_url = wp_get_attachment_url( $v['spon_img'],'full' );

						if ( isset($v['i_width'] ) && isset($v['i_height']) ){
							$image   = aq_resize( $img_url, $v['i_width'], $v['i_height'], true, true, true );
						}

						if ( isset($v['link'])){
							$btn_link 	= vc_build_link ($v['link']) ;
							$btn_title 	= vc_build_link ($v['link']) ;
							$a_href 	= $btn_link['url'];
							$a_title 	= $btn_title['title'];
							$a_target 	= $btn_link['target'];
						}

						$out .= '<li class="wow fadeInUp" data-wow-delay="0.2s">';

							if ( isset($v['link'])){ 	$out .= '<a href="'. esc_attr($a_href) . '" target="'. $a_target .'">'; }

								if ( isset( $v['resize'] ) =='0' || isset( $v['resize'] ) =='' ){
									if ( isset($v['i_width']) && isset($v['i_height']) ){
									$out .= '<img alt="'. get_the_title() .'" src="'. esc_url($image) . '">';
									} else {
									$out .= '<img alt="'. get_the_title() .'" src="'. esc_attr($img_url) . '">';
									}
								}

								if ( isset( $v['resize'] ) =='1' ){
									$out .= '<img alt="'. get_the_title() .'" src="'. esc_attr($img_url) . '">';
								}

							if ( isset($v['link'])){ $out .= '</a>'; }

						$out .= '</li>';

					}
				$out .= '</ul>';
			$out .= '</div>';
		$out .= '</div>';
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_sponsor', 'proland_sponsor_vc');



/*-----------------------------------------------------------------------------------*/
/*	FAQS PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_faqs_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'link'          		=> '',

		'column_offset'    		=> '0',
		'column'    			=> '6',
		'faqs_item'    			=> '',
		'item_heading'          => '',
		'item_desc'             => '',
		'headingcolor'         	=> '',
		'descriptioncolor'      => '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$faqsitem = (array) vc_param_group_parse_atts($faqs_item);
    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$link = ( $link == '||' ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];


	$out = '';
	$out .= '<style>';
		if( $headingcolor !='' )		{ $out .= '.faqs .section-header h2 {color: '. esc_attr($headingcolor) . '; }'; }
		if( $descriptioncolor !='' )	{ $out .= '.faqs .section-header p {color: '. esc_attr($descriptioncolor) . '; }'; }
		if( $itemheadingcolor !='' )	{ $out .= '.faqs .faq h4 {color: '. esc_attr($itemheadingcolor) . '; }'; }
		if( $itemdesccolor !='' )		{ $out .= '.faqs .faq p {color: '. esc_attr($itemdesccolor) . '; }'; }
	$out .= '</style>';

	$out .= '<section '. $id .' class="row faqs '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'';
				if ( $a_title !=''){
					$out .= '<a href="'. esc_attr($a_href) . '" target="'. $a_target .'">'. esc_attr($a_title) . '</a>';
				}
				$out .= '</p>';
            $out .= '</div>';

            $out .= '<div class="row">';

				// item start
				foreach ( $faqsitem as $v ) {


					$delay 			= ($v['item_delay'] != '') ? 'data-wow-delay="'. $v['item_delay'] .'s"' : '';

					$item_column 	= ($v['column'] != '') ? 'col-sm-'. $v['column'] .'' : 'col-sm-6';

					$out .= '<div class="faq wow fadeInUp '.$item_column.'" '.$delay.'>';
						if ( isset( $v['item_heading'] ) !='' )	{$out .= '<h4>'.$v['item_heading'].'</h4>'; }
						if ( isset( $v['item_desc'] ) !='' )	{$out .= '<p>'.$v['item_desc'].'</p>'; }
                	$out .= '</div>';
				}

				// item end

           	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

	return $out;
}
add_shortcode('proland_faqs', 'proland_faqs_vc');


/*-----------------------------------------------------------------------------------*/
/*	BENEFITS PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_tech_spets_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'link'          		=> '',

		'column_offset'    		=> '',
		'tech_spets_item'    	=> '',
		'item_heading'          => '',
		'item_desc'             => '',
		'headingcolor'         	=> '',
		'descriptioncolor'      => '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$tech_spets_item = (array) vc_param_group_parse_atts($tech_spets_item);
    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$link = ( $link == '||' ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];

	$out = '';
	$out .= '<style>';
		if( $headingcolor !='' )		{ $out .= '.tech-specs .section-header h2 {color: '. esc_attr($headingcolor) . '; }'; }
		if( $descriptioncolor !='' )	{ $out .= '.tech-specs .section-header p {color: '. esc_attr($descriptioncolor) . '; }'; }
		if( $itemheadingcolor !='' )	{ $out .= '.tech-specs .tech-spec h4 {color: '. esc_attr($itemheadingcolor) . '; }'; }
		if( $itemdesccolor !='' )		{ $out .= '.tech-specs .tech-spec p {color: '. esc_attr($itemdesccolor) . '; }'; }
	$out .= '</style>';

	$out .= '<section '. $id .' class="row tech-specs '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'';
				if ( $a_title !=''){
					$out .= '<a href="'. esc_attr($a_href) . '" target="'. $a_target .'">'. esc_attr($a_title) . '</a>';
				}
				$out .= '</p>';
            $out .= '</div>';

            $out .= '<div class="row tech-specs-row">';

				// item start
				foreach ( $tech_spets_item as $v ) {
					$delay = ($v['item_delay'] != '') ? 'data-wow-delay="'. $v['item_delay'] .'s"' : '';
					$offset = ($column_offset != '') ? 'col-md-offset-'. esc_attr($column_offset) . '' : '';
					$out .= '<div class="col-sm-6 col-md-4 tech-spec wow fadeIn" '.$delay.'>';
						if ( isset( $v['item_heading'] ) !='' ){$out .= '<h4>'.$v['item_heading'].'</h4>'; }

						$out .= '<ul class="nav">';
						if ( isset( $v['item_desc'] ) !='' ){$out .= ''.$v['item_desc'].''; }
						$out .= '</ul>';
					$out .= '</div>';
				}
				// item end

           	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

	return $out;
}
add_shortcode('proland_tech_spets', 'proland_tech_spets_vc');

/*-----------------------------------------------------------------------------------*/
/*	TEAM ITEM
/*-----------------------------------------------------------------------------------*/

function proland_team_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',

		'team_img'          	=> '',
		'team_social'       	=> '',
		'link'       			=> '',
		'links'       			=> '',
		'icon_name'          	=> '',
		'sociallink'            => '',

		'column_offset'    		=> '0',
		'column'    			=> '3',
		'team_items'    		=> '',
		'item_heading'          => '',
		'item_desc'         	=> '',

		's_n_1'         		=> '',
		's_n_2'         		=> '',
		's_n_3'         		=> '',
		's_n_4'         		=> '',
		's_n_5'         		=> '',
		's_u_1'         		=> '',
		's_u_2'         		=> '',
		's_u_3'         		=> '',
		's_u_4'         		=> '',
		's_u_5'         		=> '',

		'headingcolor'         	=> '',
		'descriptioncolor'      => '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$team_item 	= (array) vc_param_group_parse_atts($team_items);
    $css_class 	= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 		= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<style>';
		if( $headingcolor !='' )		{ $out .= '.team .section-header h2 {color: '. esc_attr($headingcolor) . '; }'; }
		if( $descriptioncolor !='' )	{ $out .= '.team .section-header p {color: '. esc_attr($descriptioncolor) . '; }'; }
		if( $itemheadingcolor !='' )	{ $out .= '.team .member h4 {color: '. esc_attr($itemheadingcolor) . '; }'; }
		if( $itemdesccolor !='' )		{ $out .= '.team .member p {color: '. esc_attr($itemdesccolor) . '; }'; }
	$out .= '</style>';

	$out .= '<section '. $id .' class="row team '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'';
				if ( $a_title !=''){
					$out .= '<a href="'. esc_attr($a_href) . '" target="'. $a_target .'">'. esc_attr($a_title) . '</a>';
				}
				$out .= '</p>';
            $out .= '</div>';

            $out .= '<div class="row team_members">';

				foreach ( $team_item as $v ) {

					if ( isset($v['links'])){
						$btn_link = vc_build_link ($v['links']) ;
						$btn_title = vc_build_link ($v['links']) ;
						$btn_target = vc_build_link ($v['links']) ;
						$a_href = $btn_link['url'];
						$a_title = $btn_title['title'];
						$a_target = $btn_target['target'];
					}

					$delay 			= ($v['item_delay'] != '') ? 'data-wow-delay="'. $v['item_delay'] .'s"' : '';

					$item_column 	= ($v['column'] != '') ? 'col-md-'. $v['column'] .'' : 'col-sm-6';


					$out .= '<div class="'.$item_column.' col-sm-6 member wow fadeInUp " '.$delay.'>';
						$out .= '<div class="row m0 inner">';

						if ( isset( $v['s_n_1'] ) !='' || isset( $v['s_n_2'] ) !='' || isset( $v['s_n_3'] ) !='' || isset( $v['s_n_4'] ) !='' ||  isset( $v['s_n_5'] ) !='' ){
							$out .= '<div class="cd-editable-content">';
								$out .= '<nav class="cd-stretchy-nav edit-content">';
									$out .= '<a class="cd-nav-trigger" href="#0"><span aria-hidden="true"></span></a>';

									$out .= '<ul>';
										if ( isset( $v['s_n_1'] ) !='' ){ $out .= '<li><a href="'.$v['s_u_1'] . '"><i class="fa fa-'.$v['s_n_1'] . '"></i><span>'.$v['s_n_1'] . '</span></a></li>'; }
										if ( isset( $v['s_n_2'] ) !='' ){ $out .= '<li><a href="'.$v['s_u_2'] . '"><i class="fa fa-'.$v['s_n_2'] . '"></i><span>'.$v['s_n_2'] . '</span></a></li>'; }
										if ( isset( $v['s_n_3'] ) !='' ){ $out .= '<li><a href="'.$v['s_u_3'] . '"><i class="fa fa-'.$v['s_n_3'] . '"></i><span>'.$v['s_n_3'] . '</span></a></li>'; }
										if ( isset( $v['s_n_4'] ) !='' ){ $out .= '<li><a href="'.$v['s_u_4'] . '"><i class="fa fa-'.$v['s_n_4'] . '"></i><span>'.$v['s_n_4'] . '</span></a></li>'; }
										if ( isset( $v['s_n_5'] ) !='' ){ $out .= '<li><a href="'.$v['s_u_5'] . '"><i class="fa fa-'.$v['s_n_5'] . '"></i><span>'.$v['s_n_5'] . '</span></a></li>'; }
									$out .= '</ul>';

									$out .= '<span aria-hidden="true" class="stretchy-nav-bg"></span>';
								$out .= '</nav>';
							$out .= '</div>';
						}
							$out .= '<div class="row m0 image">';
								if ( $a_href !=''){ $out .= '<a href="'. esc_attr($a_href) . '" target="'. $a_target .'">'; }
									$image = wp_get_attachment_url( $v['team_img'], 'full' );
									$out .= '<img src="'. esc_url($image) . '" alt="'. get_the_title() .'">';
								if ( $a_href !=''){ $out .= '</a>'; }
							$out .= '</div>';
							$out .= '<div class="texts row m0">';
							   if ( isset( $v['item_heading'] ) !='' ){ $out .= '<h4>'.$v['item_heading'].'</h4>'; }
							   if ( isset( $v['item_desc'] ) !='' ){ $out .= '<p>'.$v['item_desc'].'</p>'; }

							$out .= '</div>';

						$out .= '</div>';
					$out .= '</div>';
				}

           	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_team', 'proland_team_vc');


/*-----------------------------------------------------------------------------------*/
/*	TIMELINE PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_timeline_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'link'          		=> '',
		'timeline_items'    	=> '',
		'item_time'          	=> '',
		'item_heading'          => '',
		'item_desc'          	=> '',
		'position'          	=> '',
		'type'          		=> '',
		'headingcolor'         	=> '',
		'descriptioncolor'      => '',
		'itemheadingcolor'     	=> '',
		'itemdesccolor'        	=> ''
    ), $atts) );

	$timeline_item 	= (array) vc_param_group_parse_atts($timeline_items);
    $css_class 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 			= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$link 			= ( $link == '||' ) ? '' : $link;
	$link 			= vc_build_link( $link );
	$a_href 		= $link['url'];
	$a_title 		= $link['title'];
	$a_target 		= $link['target'];

	$out = '';
	$out .= '<section '. $id .' class="row timeline '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'';
				if ( $a_title !=''){
					$out .= '<a href="'. esc_attr($a_href) . '" target="'. $a_target .'">'. esc_attr($a_title) . '</a>';
				}
				$out .= '</p>';
            $out .= '</div>';

            $out .= '<div class="row timeline-row">';

				foreach ( $timeline_item as $v ) {

					if (  $v['type']  =='year' ){
						$out .= '<div class="row m0 timeline-post">';
							$out .= '<div class="bar-content">';
							if ( isset( $v['item_time'] ) !='' ){ $out .= '<div class="inner">'.$v['item_time'].'</div>'; }
							$out .= '</div>';
						$out .= '</div>';
					}

					if ( $v['type']  =='content' ){
						if (  $v['position']  =='left' ){
						$out .= '<div class="row m0 timeline-post has-content odd wow fadeInUp">';
						} else {
						$out .= '<div class="row m0 timeline-post has-content  wow fadeInUp">';
						}
							$out .= '<div class="col-sm-6 half-side date">';
								if ( isset( $v['item_time'] ) !='' ){ $out .= ''.$v['item_time'].''; }
							$out .= '</div>';
							$out .= '<div class="col-sm-6 half-side content">';
								$out .= '<div class="inner">';
									if ( isset( $v['item_heading'] ) !='' ){ $out .= '<h4>'.$v['item_heading'].'</h4>'; }
									if ( isset( $v['item_desc'] ) 	 !='' ){$out .= '<p>'.$v['item_desc'].'</p>'; }
								$out .= '</div>';
							$out .= '</div>';
						$out .= '</div>';
					}
				}

           	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_timeline', 'proland_timeline_vc');

/*-----------------------------------------------------------------------------------*/
/*	TIMELINE PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_newsletter_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'link'          		=> '',
		'no_spam'          		=> ''
    ), $atts) );

	$timeline_item 	= (array) vc_param_group_parse_atts($timeline_items);
    $css_class 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 			= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$link 			= ( $link == '||' ) ? '' : $link;
	$link 			= vc_build_link( $link );
	$a_href 		= $link['url'];
	$a_title 		= $link['title'];
	$a_target 		= $link['target'];

	$out = '';
	$out .= '<section '. $id .' class="row newsletter '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'';
				if ( $a_title !='' ){
					$out .= '<a href="'. esc_attr($a_href) . '" target="'. $a_target .'">'. esc_attr($a_title) . '</a>';
				}
				$out .= '</p>';
            $out .= '</div>';
			$out .= '<div  class="text-center newsletter-form">';
			$out .= ''.do_shortcode($content).'';
			$out .= '</div>';
			if ( $no_spam !='' ){
				$out .= '<div  class="text-center ">';
					$out .= '<p><img src="'. get_template_directory_uri() . '/images/protect.png" alt="'. get_the_title() . '">'. $no_spam .'</p>';
				$out .= '</div>';
			}
		$out .= '</div>'; // container
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_newsletter', 'proland_newsletter_vc');

/*-----------------------------------------------------------------------------------*/
/*	APP
/*-----------------------------------------------------------------------------------*/

function proland_mobile_app_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> '',
		'link'          		=> '',
		'link2'          		=> '',
		'bg_image'    			=> '',
		'img_right'    			=> '',
		'img_appstore'          => '',
		'img_play'          	=> ''
    ), $atts) );

    $css_class 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 			= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$link 			= ( $link == '||' ) ? '' : $link;
	$link 			= vc_build_link( $link );
	$a_href 		= $link['url'];
	$a_title 		= $link['title'];
	$a_target 		= $link['target'];
	$link2 			= ( $link2 == '||' ) ? '' : $link2;
	$link2 			= vc_build_link( $link2 );
	$a_href2 		= $link2['url'];
	$a_title2 		= $link2['title'];
	$a_target2 		= $link2['target'];
	$img_play_out 	= wp_get_attachment_url( $img_play,'full' );
	$img_app_out 	= wp_get_attachment_url( $img_appstore,'full' );
	$img_right_out 	= wp_get_attachment_url( $img_right,'full' );
	$bg_image_out 	= wp_get_attachment_url( $bg_image,'full' );

	$out = '';
	$out .= '<style>';
		if( $bg_image_out !='' ) { $out .= '.mobile-app:before {  background: url('. esc_attr($bg_image_out) . ') no-repeat scroll center top;}'; }
	$out .= '</style>';
	$out .= '<section '. $id .' class="row mobile-app '. esc_attr($css_class) . '">';
        $out .= '<div class="container">';
            $out .= '<div class="row">';

                $out .= '<div class="col-sm-6 col-sm-push-6 wow fadeIn">';
                    $out .= '<h2>'. $heading .'</h2>';
                    $out .= '<p>'. $description .'</p>';
                    $out .= '<div class="row m0 downloads-btns">';
					if ( $img_appstore !=''){
						$out .= '<a class="dload-link" href="'. esc_attr($a_href) . '" target="'. $a_target .'"><img src="'. $img_app_out .'" alt="'. get_the_title() .'"></a>';
					}
					if ( $img_play !='' ){
						$out .= '<a class="dload-link" href="'. esc_attr($a_href2) . '" target="'. $a_target2 .'"><img src="'. $img_play_out .'" alt="'. get_the_title() .'"></a>';
					}
                    $out .= '</div>';
                $out .= '</div>';
                $out .= '<div class="col-sm-6 col-sm-pull-6 wow fadeInUp">';
                   $out .= ' <img src="'. $img_right_out .'" alt="'. get_the_title() .'" class="mobile-img">';
				$out .= '</div>';

         	$out .= '</div>'; // row
		$out .= '</div>'; // container
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_mobile_app', 'proland_mobile_app_vc');

/*-----------------------------------------------------------------------------------*/
/*	CONTACTS
/*-----------------------------------------------------------------------------------*/
function proland_contact_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
    'section_id'          	=> '',
	'css'                 	=> '',
	'heading'             	=> '',
	'contact_item'        	=> '',
	'lat'       			=> '',
	'lon'       			=> '',
	'zoom'       			=> '15',
	'button_text'       	=> '15',
	'icon_name'           	=> '',
	'first_line'        	=> '',
	'second_line'        	=> ''
    ), $atts) );

	$contactitem 	= (array) vc_param_group_parse_atts($contact_item);
    $css_class 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 			= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<section '. $id .' class="row contact '. esc_attr($css_class) . '">';
		if ( $lat !='' && $lon !='' && $zoom !='' ){
			$out .= '<div id="mapBox" class="row m0" data-lat="'. $lat .'" data-lon="'. $lon .'" data-zoom="'. $zoom .'"></div>';
				wp_enqueue_script( 'google-map-api' );
				wp_enqueue_script( 'gmaps' );
				wp_enqueue_script( 'proland-google-map' );
		}
        $out .= '<div class="flip-box-container row m0">';
            $out .= '<div class="flip-box row m0 wow fadeIn">';

                $out .= '<div class="row contact-box flip-box-part">';
                    $out .= '<h2>'. $heading .'</h2>';
                    $out .= '<ul class="nav">';
						foreach ( $contactitem as $v ) {
							$out .= '<li>';
							if ( isset( $v['icon_name'] ) !='' )	{ $out .= '<i class="'.$v['icon_name'].'"></i>'; }
							if ( isset( $v['first_line'] ) !='' )	{ $out .= ''.$v['first_line'].''; }
							if ( isset( $v['second_line'] ) !='' )	{ $out .= '<br>'.$v['second_line'].''; }
							$out .= '</li>';
						}
                    $out .= '</ul>';
                    $out .= '<button class="flip-contact-box btn btn-block">'. $button_text .'</button>';
                $out .= '</div>';

                $out .= '<div class="row contact-form flip-box-part">';
                    $out .= '<a href="javascript:void(0);" class="js-close-flip">&times;</a>';
					$out .= ''.do_shortcode($content).'';
                $out .= '</div>';

            $out .= '</div>';
        $out .= '</div>';
        $out .= '<!-- // End Contact Box -->';
    $out .= '</section>';

	return $out;
}
add_shortcode('proland_contact', 'proland_contact_vc');

/*-----------------------------------------------------------------------------------*/
/*	TIMELINE PROLAND
/*-----------------------------------------------------------------------------------*/

function proland_heading_type_vc( $atts, $content = null ) {
    extract( shortcode_atts(array(
		'section_id'           	=> '',
		'css'                  	=> '',
		'heading'              	=> '',
		'description'          	=> ''
    ), $atts) );

    $css_class 	= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
    $id 		= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out = '';
	$out .= '<section '. $id .' class="row '. esc_attr($css_class) . '">';
       $out .= '<div class="container">';

			$out .= '<div class="row section-header wow fadeInUp">';
                $out .= '<h2>'. $heading .'</h2>';
                $out .= '<p>'. $description .'</p>';
            $out .= '</div>';

		$out .= '</div>'; // container
	$out .= '</section>';

 return $out;
}
add_shortcode('proland_heading_type', 'proland_heading_type_vc');

/*-----------------------------------------------------------------------------------*/
/*	PRICE TABLE
/*-----------------------------------------------------------------------------------*/
function theme_proland_section_pricing($atts){
	extract(shortcode_atts(array(
		'section_id'		=> '',
		'heading_display'	=> 'show',
		'bold_heading'		=> '',
		'thin_heading'		=> '',
		'sec_desc'			=> '',
		'css'				=> '',
		'orderby'         	=> 'date',
		'order'           	=> 'DESC',
		'post_number'     	=> '4',
		'price_category'  	=> 'all',
		'pricelink'   		=> '',
		'border_type'   	=> ''
	), $atts));

	wp_enqueue_script('proland-pricing-settings');

	$pricelink 		= ( $pricelink == '||' ) ? '' : $pricelink;
	$pricelink 		= vc_build_link( $pricelink );
	$price_href 	= $pricelink['url'];
	$price_title 	= $pricelink['title'];
	$price_target 	= $pricelink['target'];
	$pricetarget 	= $price_target ? ' target="'.esc_attr( $price_target ).'"' : '';
	$bordertype 	= $border_type ? $border_type : 'rounded';

	$args = array(
		'post_type' 	 => 'price',
		'posts_per_page' => $post_number,
		'order' 		 => $order,
		'orderby' 		 => $orderby,
		'post_status' 	 => 'publish'
	);

	if($price_category != 'all'){
		$str = $price_category;
		$arr = explode(',', $str);
		$args['tax_query'][] = array( 'taxonomy' => 'price_category', 'field' => 'slug', 'terms' => $arr );
	}

	$sectionbg_css 	= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
	$id 			= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

		$out = '';
	$out .= '<section '.$id.' class="pricing'.esc_attr( $sectionbg_css ).'">';
		$out .= '<div class="container">';

		if ( $heading_display !='hide' ) {
			$out .= '<div class="row">';
				$out .= '<div class="col-md-12">';
				$boldheading = $bold_heading ? $bold_heading : '';
				$thinheading = $thin_heading ? $thin_heading : '';
				if ( $bold_heading !='' || $thin_heading !='' ) {
					$out .= '<h2 class="animated">'.esc_html( $boldheading ).' <span>'.esc_html( $thinheading ).'</span></h2>';
				}
					if ( $sec_desc !='' ) { $out .= '<p>'.$sec_desc.'</p>'; }
				$out .= '</div>';
			$out .= '</div>';
		}

		$out .= '<div class="row">';

			$count = 1;
			$proland_price_query = new WP_Query($args);
			if( $proland_price_query->have_posts() ) :
			while ($proland_price_query->have_posts()) : $proland_price_query->the_post();

			$count++;

				$column_mobile	= get_post_meta( get_the_ID(), 'proland_column_mobile', true );
				$column_desk	= get_post_meta( get_the_ID(), 'proland_column_desk', true );
				$column_offset	= get_post_meta( get_the_ID(), 'proland_column_offset', true );

				$packname		= get_post_meta( get_the_ID(), 'proland_packname', true );
				$priceamount	= get_post_meta( get_the_ID(), 'proland_priceamount', true );
				$currency		= get_post_meta( get_the_ID(), 'proland_pricecurrency', true );
				$priceperiod	= get_post_meta( get_the_ID(), 'proland_priceperiod', true );
				$tablefeatures	= get_post_meta( get_the_ID(), 'proland_features_list', true );

				$columnmobile 	= $column_mobile ? $column_mobile : 'col-sm-6';
				$columndesk 	= $column_desk ? $column_desk : 'col-md-4';
				$columnoffset 	= $column_offset ? $column_offset : '';
				$col_str 		= ''.esc_attr( $columnmobile ).' '.esc_attr( $columndesk ).' '.esc_attr( $columnoffset ).'';

				$out .= '<div class="'.$col_str = preg_replace('/\s\s+/', ' ', $col_str).'">';
					$out .= '<div class="package package_'.$count.'">';
						$out .= '<div class="top">';
							if ( $packname !='' ) { $out .= '<h5 class="title">'.esc_html( $packname ).'</h5>'; }
							$out .= '<div class="price"><span>'.esc_html( $currency ).'</span>'.esc_html( $priceamount ).'</div>';
							$out .= '<p class="time">'.esc_html( $priceperiod ).'</p>';
						$out .= '</div>';
						$out .= '<div class="bottom">';
							$out .= '<ul class="features">';
							foreach ( $tablefeatures as $listitem ) {
								$out .= '<li><h6>'.esc_html( $listitem ).'</h6></li>';
							}
							$out .= '</ul>';
							$out .= '<a href="'.esc_attr( $price_href ).'" '.$pricetarget.' class="btn btn-warning '.esc_attr( $bordertype ).'">'.esc_attr( $price_title ).'</a>';
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</div>';

			endwhile;
			endif;
			wp_reset_postdata();

			$out .= '</div>';
		$out .= '</div>';
	$out .= '</section>';
	 return $out;
}
add_shortcode('proland_section_pricing', 'theme_proland_section_pricing');
