<?php get_header();  get_template_part('index-header'); ?>
	    <div class="masthead masthead-blog rel-1 page-header">
			<div class="container">
				<div class="row">
					<div class="col-md-6-off col-md-offset-3-off">
					<?php if ( ot_get_option( 'proland_error_heading_visibility' )!= 'off') : ?>
					<?php if ( ot_get_option( 'proland_error_heading' )!= '') : ?>
					<h2 class="lead-heading"><?php echo esc_html( ot_get_option( 'proland_error_heading' )); ?></h2> 
					<?php else : ?>
					<h2 class="lead-heading"><?php echo esc_html_e('404 Page','proland');?></h2>
					<?php endif; ?>
					<?php endif; ?>

					<?php if ( ot_get_option( 'proland_error_slogan_visibility' )!= 'off') : ?>	
					<?php if ( ot_get_option( 'proland_error_slogan' )!= '') : ?>
					<p class="text-muted blog-muted"><?php echo esc_html( ot_get_option( 'proland_error_slogan' )); ?></p> 
					<?php else : ?>
					<p class="text-muted blog-muted"><?php echo  the_title();?></p>
					<?php endif; ?>
					<?php endif; ?>

					<?php if ( ot_get_option( 'proland_breadcrubms_visibility' )!= 'off' && !function_exists('bcn_display') ) : ?>
						<p class="breadcrubms"><?php proland_breadcrubms(); ?></p>
					<?php endif; ?>
					<?php  if( function_exists('bcn_display') ) 	: ?>
						<p class="breadcrubms"> <?php  bcn_display();  ?></p>
					<?php endif; ?>
					</div>
				</div>
			</div>
		</div>

	<section id="blog">
		<div class="container has-margin-bottom">
		<div class="row">
			<?php if( ot_get_option( 'proland_404layout' ) == 'right-sidebar') { ?>
			<div class="col-lg-8  col-md-8 col-sm-12 index float-right posts">
			<?php } elseif( ot_get_option( 'proland_404layout' ) == 'left-sidebar') { ?>
			<?php get_sidebar(); ?>
			<div class="col-lg-8  col-md-8 col-sm-12 index float-left posts">
			<?php } elseif( ot_get_option( 'proland_404layout' ) == 'full-width') { ?>
			<div class="col-xs-12 full-width-index v">
			<?php } ?>
				<h3><?php esc_html_e( 'Oops! That page can not be found.', 'proland' ); ?></h3>
				<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'proland' ); ?></p>
				<div class="row">
					<div class="col-md-6">
						<?php get_search_form(); ?>
					</div>
				</div>
			</div>
				<?php if( ot_get_option( 'proland_404layout' ) == 'right-sidebar') { ?>
					<?php get_sidebar(); ?>
				<?php } ?>
		</div>
	</div>
	</section>

	<?php 
		get_template_part('footer-content'); 
		get_footer();
	?>