<?php
/**
* The default template for displaying content
*
* Used for both single and index/archive/search.
*
* @package WordPress
* @subpackage proland
* @since proland 1.0
*/
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="row blog-custom-class wow fadeInUp">
		<div class="featured-img row m0">
			<?php
				$proland_vertical_middle = 'vertical-middle';
				$proland_vertical_top    = 'vertical-top';
				if ( has_post_thumbnail() ) : 
			?>
			<div class="article-img <?php echo esc_attr($proland_vertical_middle); ?>"><!-- Article Image -->
				<?php 
					$proland_att		=	get_post_thumbnail_id();
					$proland_image_src 	= 	wp_get_attachment_image_src( $proland_att, 'full' );
					$proland_image_src 	= 	$proland_image_src[0]; ?> 
					<img src="<?php echo esc_url($proland_image_src); ?>" alt="Exemple">
				<?php  ?>
			</div>
			<?php endif; ?>
		</div>
		<div class="media">
			<div class="media-body <?php echo esc_attr($proland_vertical_middle); ?>"><!-- Article Image -->

				<?php
					if ( is_single() ) :
					the_title( '<h2 class="entry-title-off all-caps-off">', '</h2>' );
					else :
					the_title( sprintf( '<h2 class="entry-title-off all-caps-off"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
					endif;
				?>
				
				<?php the_excerpt(); ?>
		
			
				
			</div>
		</div>
	</div>
</article><!-- #post-## -->
