<?php
/**
* The template for displaying the footer
*
*
* @package WordPress
* @subpackage proland
* @since proland 1.0
*/
?>
		<?php if ( ot_get_option('proland_top_footerwd') == 'on') : ?>
			<footer class="footer-top section-padding">
				<div class="container">
					<div class="row">
						<?php if ( is_active_sidebar( 'footer' ) ) { ?>
								<?php dynamic_sidebar( 'footer' ); ?>
						<?php } ?>
					</div>
				</div>
			</footer>
		<?php endif; ?>


		<footer class="row">
			<div class="container">

				<?php if ( ot_get_option('proland_social_section') != 'off') : ?>
					<div class="row m0 social-links">
						<ul class="nav">
							<?php

								$proland_social_container = ot_get_option( 'proland_social' );

								if ($proland_social_container) {
									foreach($proland_social_container as $key => $value) {
										$proland_target 		= ot_get_option('proland_social_target');
										$proland_wow_time 		= ot_get_option('proland_wow_time');
										$proland_wow_time_out 	= ($proland_wow_time != '') ? ''. $proland_wow_time . '' : '0.1s';
									echo '<li class="wow fadeInUp" data-wow-delay="'.esc_attr($proland_wow_time_out).'"><a href="'.esc_url($value['proland_social_link']).'" target="'.esc_attr($proland_target).'" class="icon fa fa-'.esc_attr($value['proland_social_text']).'" title="'.esc_html($value['title']).'"></a></li>';
									}
								}
							?>

						</ul>
					</div>
				<?php endif; ?>


					<div class="row m0 menu-rights">
						<?php  if ( ot_get_option('proland_link_section') != 'off' ) :

								$proland_link_container = ot_get_option( 'proland_footer_link' );

								if ($proland_link_container) {
									echo ' <ul class="nav footer-menu">';
									foreach($proland_link_container as $key => $value) {
										$proland_link_target = ot_get_option('proland_link_target');
										$proland_link_target_out = ($proland_link_target != '') ? 'target="'.esc_attr($proland_link_target).'"' : '';
										echo '<li><a href="'.esc_url($value['proland_footer_link_url']).'" '.esc_attr($proland_link_target_out).'  title="'.esc_attr($value['proland_footer_link_text']).'">'.esc_html($value['proland_footer_link_text']).'</a></li>';
									}
									echo '</ul>';
								}
								?>
							<?php else : ?>
							<?php if ( ot_get_option('proland_link_section') == '' ) : ?>

							<?php endif; ?>
						<?php endif; ?>
						<?php $powered_display=ot_get_option('proland_powered_display') ?>
						<?php if( $powered_display !='off' ) : ?>
							<?php echo ot_get_option('proland_footerpowered'); ?>
						<?php endif; ?>

					</div>
			</div>
		</footer>
