	<!DOCTYPE html>
	<html <?php language_attributes(); ?> >

	<head>
		<!-- Meta UTF8 charset -->
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

		<?php wp_head(); ?>
	</head>
	<!-- BODY START=========== -->
	<body <?php body_class(); ?> data-scroll-animation="true">

	<?php if ( ot_get_option('proland_pre') != 'off') : ?>

		<?php if ( ot_get_option('custompre') != '' and ot_get_option('proland_pre_type') == 'default' ) : ?>
			<img src="<?php echo esc_url( ot_get_option( 'custompre' ) ) ?>" alt="Loading">
		<?php endif; ?>

		<?php if ( ot_get_option('custompre') == '' and ot_get_option('proland_pre_type') == 'default') : ?>
			<div id="loading">
				<div id="loading-center">
					<div id="loading-center-absolute">
						<div class="object" id="object_four"></div>
						<div class="object" id="object_three"></div>
						<div class="object" id="object_two"></div>
						<div class="object" id="object_one"></div>
					</div>
				</div>
			</div>
		<?php endif; ?>
	<?php if ( ot_get_option('custompre') == '' and ot_get_option('proland_pre_type') != 'default') : ?>
			<div id="nt-preloader" class="preloader"><div class="loader<?php echo esc_attr( ot_get_option( 'proland_pre_type') ); ?>"></div></div>
		<?php endif; ?>
	<?php endif; ?>
