	<?php 
		get_header();  
		get_template_part('index-header');
		$current_blog_page_id = get_option('page_for_posts');
	?>
	<div class="masthead masthead-blog rel-1 page-header">
		<div class="container">
			<div class="row">
				<div class="col-md-6-off-off col-md-offset-3-off">
					<?php  if((get_post_meta( $current_blog_page_id, 'proland_disable_title', true )!= true) ): ?>
						<?php if(get_post_meta( $current_blog_page_id, 'proland_alt_title', true )): ?> 
							<h2 class="lead-heading">
							<?php echo get_post_meta( $current_blog_page_id, 'proland_alt_title', true ); ?></h2>
							<?php else : ?>
							<h2 class="lead-heading"><?php echo esc_html_e( 'Our latest news', 'proland' ); ?></h2>
						<?php endif; ?>
					<?php endif; ?>
					
					<?php  if((get_post_meta( $current_blog_page_id, 'proland_disable_subtitle', true )!= true) ): ?>
						<?php if(get_post_meta( $current_blog_page_id, 'proland_subtitle', true )): ?> 
							<p class="text-muted blog-muted">
							<?php echo get_post_meta( $current_blog_page_id, 'proland_subtitle', true ); ?></p>
							<?php else : ?>
							<p class="text-muted blog-muted"><?php echo esc_html_e( 'Lorem ipsum dolor sit amet, consectetur de elit', 'proland' ); ?></p>
						<?php endif; ?>
					<?php endif; ?>

					<?php if ( ot_get_option( 'proland_breadcrubms_visibility' )!= 'off' && !function_exists('bcn_display') ) : ?>
					<p class="breadcrubms"><?php proland_breadcrubms(); ?></p>
					<?php endif; ?>
					<?php  if( function_exists('bcn_display') ) 	: ?>
						<p class="breadcrubms"> <?php  bcn_display();  ?></p>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>

	<section id="blog">
		<div class="container has-margin-bottom">
			<div class="row">
				<?php if( ot_get_option( 'proland_bloglayout' ) == 'right-sidebar' || ot_get_option( 'proland_bloglayout' ) == '') { ?>
				<div class="col-lg-8  col-md-8 col-sm-12 index float-right posts">
				<?php } elseif( ot_get_option( 'proland_bloglayout' ) == 'left-sidebar') { ?>
				<?php get_sidebar(); ?>
				<div class="col-lg-8  col-md-8 col-sm-12 index float-left posts">
				<?php } elseif( ot_get_option( 'proland_bloglayout' ) == 'full-width') { ?>
				<div class="col-xs-12 full-width-index v">
				<?php } ?>
				<?php if ( have_posts() ) : ?>
					<?php while ( have_posts() ) : the_post(); ?>
						<?php get_template_part( 'post-format/content', get_post_format() ); ?>
						<?php endwhile; ?>
						<?php the_posts_pagination( array(
								'prev_text'          => esc_html__( 'Previous page', 'proland' ),
								'next_text'          => esc_html__( 'Next page', 'proland' ),
								'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
							) ); ?>
						<?php else : ?>
						<?php get_template_part( 'content', 'none' ); ?>
					<?php endif; ?>	
				</div>
				
				<?php if( ot_get_option( 'proland_bloglayout' ) == 'right-sidebar' || ot_get_option( 'proland_bloglayout' ) == '') { ?>
					<?php get_sidebar(); ?>
				<?php } ?>
			</div>
		</div>
	</section>
<?php 
	get_template_part('footer-content'); 
	get_footer();
?>