		<?php 
			get_header();  
			get_template_part('index-header'); 
		?>

		<div class="masthead masthead-blog rel-1 page-header">
			<div class="container">
				<div class="row">
					<div class="col-md-6-off col-md-offset-3-off">
						<h2 class="lead-heading"><?php echo the_archive_title();?></h2>
						
						<?php if ( ot_get_option( 'proland_breadcrubms_visibility' )!= 'off' && !function_exists('bcn_display') ) : ?>
							<p class="breadcrubms"><?php proland_breadcrubms(); ?></p>
						<?php endif; ?>
						<?php  if( function_exists('bcn_display') ) 	: ?>
							<p class="breadcrubms"> <?php  bcn_display();  ?></p>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
		
	<section id="blog">
	<div class="container has-margin-bottom">
		<div class="row">
			<div class="col-md-12-off has-margin-bottom-off">
			<?php if( ot_get_option( 'proland_archivelayout' ) == 'right-sidebar') { ?>
			<div class="col-lg-8  col-md-8 col-sm-12 index float-right posts">
			<?php } elseif( ot_get_option( 'proland_archivelayout' ) == 'left-sidebar') { ?>
			<?php get_sidebar(); ?>
			<div class="col-lg-8  col-md-8 col-sm-12 index float-left posts">
			<?php } elseif( ot_get_option( 'proland_archivelayout' ) == 'full-width') { ?>
			<div class="col-xs-12 full-width-index v">
			<?php } ?>
			 <?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post();
					get_template_part( 'post-format/content', get_post_format() );
				endwhile;
				the_posts_pagination( array(
					'prev_text'          => esc_html__( 'Previous page', 'proland' ),
					'next_text'          => esc_html__( 'Next page', 'proland' ),
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'proland' ) . ' </span>',
				) );
				else :
					get_template_part( 'content', 'none' );
				endif;
			?>
			</div><!-- #end sidebar+ content -->
				<?php if( ot_get_option( 'proland_archivelayout' ) == 'right-sidebar') { ?>
					<?php get_sidebar(); ?>
				<?php } ?>
			</div>
		</div>
	</div>
	</section>

	<?php 
		get_template_part('footer-content'); 
		get_footer();
	?>