<!--==========Header==========-->
    <header class="row" id="header">
        <nav class="navbar navbar-default navbar-fixed-top">
            <div class="container">
                <!--========== Brand and toggle get grouped for better mobile display ==========-->
                <div class="navbar-header">

					<?php if ( ot_get_option('proland_logo_type') == 'img' || ot_get_option('proland_logo_type') == '') : ?>
						<?php if ( ot_get_option( 'proland_logoimg' ) ) : ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="general-default-logo navbar-brand"><img class="responsive-img" src="<?php echo esc_url( ot_get_option( 'proland_logoimg' ) ) ?>" alt="proland Theme"></a> <!-- Your Logo -->

                     <?php if ( ot_get_option( 'proland_sticky_logoimg' ) ) : ?>
							   <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="general-sticky-logo navbar-brand"><img class="responsive-img" src="<?php echo esc_url( ot_get_option( 'proland_sticky_logoimg' ) ) ?>" alt="proland Theme"></a> <!-- Your Logo -->
                     <?php endif; ?>
							<?php  else : ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-brand"><img src="<?php echo get_template_directory_uri() . '/images/logo.png';?>" alt="proland Theme"></a> <!-- Your Logo -->
						<?php endif; ?>
					<?php endif; ?>

					<?php if ( ot_get_option('proland_logo_type') == 'text') : ?>
						<?php if ( ot_get_option( 'proland_textlogo' ) ) : ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-brand"><?php echo esc_html( ot_get_option( 'proland_textlogo' ) ) ?></a>
							<!-- Your Logo -->
							<?php  else : ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-brand"></a> <!-- Your Logo -->
						<?php endif; ?>
					<?php endif; ?>

                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#main-navbar" aria-expanded="false">
                        <span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'proland' ); ?></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div>

                <!--========== Collect the nav links, forms, and other content for toggling ==========-->
                <div class="collapse navbar-collapse" id="main-navbar"><?php
                 if ( ot_get_option( 'proland_header_menu_cart_btn' ) =='on' ) {
                 if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
                 $proland_count = WC()->cart->cart_contents_count;
              ?>
                 <a class="header-menu-button cart-button btn btn-warning pull-right hidden-sm hidden-xs cart-contents" href="<?php esc_url($proland_count); ?>"><?php if ( $proland_count > 0 ) { echo esc_html( $proland_count );} ?></a>
                 <?php } } ?>

					<?php if ( ot_get_option( 'proland_header_menu_button_url' ) !='' ) : ?>
						<a href="<?php echo esc_url( ot_get_option( 'proland_header_menu_button_url' ) ) ?>" target="<?php echo esc_attr( ot_get_option( 'proland_header_menu_button_url_target' ) ) ?>" class=" btn btn-warning pull-right hidden-sm hidden-xs"><?php echo esc_html( ot_get_option( 'proland_header_menu_button_url_text' ) ) ?></a>
					<?php endif; ?>

					<!-- default menu for unlimited onepage -->
					<?php
						wp_nav_menu( array(
							'menu'              => 'main-menu',
							'theme_location'    => 'primary',
							'depth'             => 4,
							'container'         => '',
							'container_class'   => '',
							'menu_class'        => 'nav navbar-nav navbar-right',
							'menu_id'		    => 'main-menu',
							'echo' 				=> true,
							'fallback_cb'       => 'Proland_Wp_Bootstrap_Navwalker::fallback',
							'walker'            => new Proland_Wp_Bootstrap_Navwalker()
						));
					?>

                </div>  <!--========== /.navbar-collapse ==========-->
            </div> <!--========== /.container-fluid ==========-->
        </nav>
    </header>
