
	<?php
		/**
		* The template for displaying posts in the Aside post format.
		*
		* @package WordPress
		* @subpackage proland
		* @since proland 1.0
		*/

		$proland_vertical_middle = 'vertical-middle';
		$proland_vertical_top    = 'vertical-top';
	?>

	<!-- Start .hentry -->
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="hentry-box">
			<div class="entry-wrap">
				<div class="entry-content">
					<?php the_content(esc_html__('Read More', 'proland')); ?>
					<?php wp_link_pages( array( 'before' => '<div class="post-pagination"><em class="page-links-title">' . esc_html__( 'Pages:', 'proland' ) . '</em>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
				</div>
			</div>
		</div>

		<div class="margin-t-50"> </div>

		<?php
			if (  is_single() ) :
				if ( 'off' != ot_get_option( 'proland_bottom_social' ) ) {
					get_template_part('template-part/single-social');
				}
			endif; // single page social share button

			if (  is_single() ) :
				get_template_part('template-part/biography');
			endif; // single page author box
		?>

	</article>
