	<?php
		get_header();
		get_template_part('index-header');
	?>

	<div class="masthead masthead-blog rel-1 page-header">
		<div class="container">
			<div class="row">
				<div class="col-md-6-off col-md-offset-3-off">
					<?php if ( ot_get_option( 'proland_search_heading_visibility' )!= 'off') : ?>
					<?php if ( ot_get_option( 'proland_search_heading' )!= '') : ?>
					<h2 class="lead-heading"><?php echo esc_html( ot_get_option( 'proland_search_heading' )); ?></h2>
					<?php else : ?>
					<h2 class="lead-heading"><?php echo esc_html( $wp_query->found_posts ); ?> <?php esc_html_e( 'Search Results Found For', 'proland' ); ?>: "<?php the_search_query(); ?>"</h2>
					<?php endif; ?>
					<?php endif; ?>

					<?php if ( ot_get_option( 'proland_search_slogan_visibility' )!= 'off') : ?>
					<?php if ( ot_get_option( 'proland_search_slogan' )!= '') : ?>
					<p class=" text-muted blog-muted"><?php echo esc_html( ot_get_option( 'proland_search_slogan' )); ?></p>
					<?php else : ?>
					<p class=" text-muted blog-muted"><?php echo  the_title();?></p>
					<?php endif; ?>
					<?php endif; ?>

					<?php if ( ot_get_option( 'ntb_p_bread' )!= 'off' && !function_exists('bcn_display') ) : ?>
					<p class="breadcrubms"><?php proland_breadcrubms(); ?></p>
					<?php endif; ?>
					<?php  if( function_exists('bcn_display') ) 	: ?>
						<p class="breadcrubms"> <?php  bcn_display();  ?></p>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>

	<section id="blog">
	<div class="container has-margin-bottom">
		<div class="row">
			<div class="col-md-12-off has-margin-bottom-off">
			<?php if( ot_get_option( 'proland_searchlayout' ) == 'right-sidebar') { ?>
			<div class="col-lg-8  col-md-8 col-sm-12 index float-right posts">
			<?php } elseif( ot_get_option( 'proland_searchlayout' ) == 'left-sidebar') { ?>
			<?php get_sidebar(); ?>
			<div class="col-lg-8  col-md-8 col-sm-12 index float-left posts">
			<?php } elseif( ot_get_option( 'proland_searchlayout' ) == 'full-width') { ?>
			<div class="col-xs-12 full-width-index v">
			<?php } ?>
				<?php if ( have_posts() ) : ?>
					<?php
					// Start the loop.
					while ( have_posts() ) : the_post();
						/*
						 * Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'content', 'search' );
					// End the loop.
					endwhile;
					// Previous/next page navigation.
					the_posts_pagination( array(
								'prev_text'          => esc_html__( 'Previous page', 'proland' ),
								'next_text'          => esc_html__( 'Next page', 'proland' ),
								'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
							) );
				// If no content, include the "No posts found" template.
				else :
					get_template_part( 'content', 'none' );
				endif;
				?>

				<?php wp_link_pages(); ?>

				</div><!-- #end sidebar+ content -->

				<?php if( ot_get_option( 'proland_searchlayout' ) == 'right-sidebar') { ?>
					<?php get_sidebar(); ?>
				<?php } ?>

			</div>
		</div>
	</div>
	</section>

	<?php
		get_template_part('footer-content');
		get_footer();
	?>
